{
  "schema_version": "1.4.0",
  "id": "GHSA-w8jq-qgrf-hvrw",
  "modified": "2022-05-01T23:49:10Z",
  "published": "2022-05-01T23:49:10Z",
  "aliases": [
    "CVE-2008-2358"
  ],
  "details": "Integer overflow in the dccp_feat_change function in net/dccp/feat.c in the Datagram Congestion Control Protocol (DCCP) subsystem in the Linux kernel 2.6.18, and 2.6.17 through 2.6.20, allows local users to gain privileges via an invalid feature length, which leads to a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-2358"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=447389"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/43034"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9644"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-July/msg00082.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2008-06/msg00006.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30000"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30818"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30849"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30920"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31107"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1592"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:112"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:167"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0519.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/29603"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1020211"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-625-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-06-10T00:32:00Z"
  }
}